image: maven:3.8.1-openjdk-16

variables:
  MAVEN_CLI_OPTS: "-s .m2/settings.xml --batch-mode"
  MAVEN_CLI_OPTS_API: "-s ../.m2/settings.xml --batch-mode"

stages:
  - build
  - analysis
  - deploy

build:
  stage: build
  script:
    - mvn $MAVEN_CLI_OPTS clean install
  artifacts:
    paths:
      - terrain-module-impl/target/terrain-module.jar

#analysis:
#  stage: analysis
#  script:
#    - wget -q https://github.com/checkstyle/checkstyle/releases/download/checkstyle-8.9/checkstyle-8.9-all.jar
#    - java -jar checkstyle-8.9-all.jar -c ruleset.xml ./myth-module-impl/src/main/java
#    - java -jar checkstyle-8.9-all.jar -c ruleset.xml ./myth-module-api/src/main/java

deploy:
  stage: deploy
  only:
    - main
  script:
    #    - chmod +x deploy/discord.sh && sh deploy/discord.sh
    - cd terrain-module-api && mvn $MAVEN_CLI_OPTS_API clean deploy -Prelease
